Name: ggv
Summary: GNOME Ghostview (ggv) is a frontend for Ghostscript
Version: 1.0.2
Release: 4
Group: Applications/Publishing
License: GPL
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/ggv/ggv-%{version}.tar.gz
Source1: ggv-1.0.1-po.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: bonobo-devel, gnome-print-devel, oaf-devel, gnome-libs-devel, gettext, /usr/bin/lpr
BuildPreReq: gtk+-devel, gdk-pixbuf-devel, oaf-devel, libxml-devel, ORBit-devel
Patch: ggv-1.0.2.mkstemp.patch
Patch2: ggv-1.0.2-stdin-fixme-with-popt.patch

%description
GNOME Ghostview (ggv) is a frontend for Ghostscript, an interpreter of
PostScript that is able to properly render PostScript documents in a display
or a printer. GGv serves as a layer that isolates the user from the cumbersome
options and interface of Ghostscript, and, at the same time, gives extra
features such as panning and persistent user settings.

%prep
%setup -q
%patch -p1 -b ".mkstemp"
%patch2 -p1 -b ".stdin-fixme-with-popt"

%build
tar xzvf %{SOURCE1} -C $RPM_BUILD_DIR/ggv-%{version}/
%configure --without-bonobo
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#make DESTDIR=$RPM_BUILD_ROOT install-strip
#mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/
#mv $RPM_BUILD_ROOT%{_prefix}/share/gnome/apps/Graphics/ggv.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Graphics

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS TODO
%{_bindir}/*
%{_datadir}/oaf/*
%{_datadir}/omf/ggv
%{_datadir}/gnome/apps/Graphics/ggv.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/ggv

%changelog
* Mon Apr 15 2002 Jonathan Blandford <jrb@redhat.com>
- Add patch to accept '-' on the command line
- buildrequires /usr/bin/lpr, #63167

* Fri Mar 15 2002 Jonathan Blandford <jrb@redhat.com>
- fix tempnam problems

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- New release.

* Wed Aug 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add more build dependencies (#48561)

* Wed Aug 22 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update translation.

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- fix build dep bug (48561)

* Mon May 21 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Replace Copyright with License
- langify

* Mon May 21 2001  <jrb@redhat.com>
- New version.

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Fri Nov 10 2000 Tim Powers <timp@redhat.com>
- updated to 0.95

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue May 30 2000 Tim Powers <timp@redhat.com>
- woops, forgot to add the docs to the package

* Tue Mar 4 2000 Tim Powers <timp@redhat.com>
- initial package of ggv for 7.0
- bzipped sources to conserve space
